#!/bin/sh
SCRIPTS_PATH=$1
MCSV_PRODUCT_PATH=$2
TEK_META_CONTENT_SECURITY_POLICY=$3
TEK_UPGRADE_INSECURE_REQUESTS=$4
SERVER_URL_CRM=$5
CRM_METADATA_ENDPOINT=$6
ENVIRONMENT_BASE_URI=$7
SESSION_TIME_CRM=$8
FILESERVER_BASE_URL_NEXT=$9

cd $MCSV_PRODUCT_PATH/frontend

$SCRIPTS_PATH/replace.sh "<>VUE_APP_META_CONTENT_SECURITY_POLICY<>" "$TEK_META_CONTENT_SECURITY_POLICY"  ".env.production"
$SCRIPTS_PATH/replace.sh "<>VUE_APP_UPGRADE_INSECURE_REQUESTS<>"    "$TEK_UPGRADE_INSECURE_REQUESTS"     ".env.production"

cd $MCSV_PRODUCT_PATH/frontend/src/config

$SCRIPTS_PATH/replace.sh "<>SERVER_URL_CRM<>"            "$SERVER_URL_CRM"             "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>CRM_METADATA_ENDPOINT<>"     "$CRM_METADATA_ENDPOINT"      "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>ENVIRONMENT_BASE_URI<>"      "$ENVIRONMENT_BASE_URI"       "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>SESSION_TIME_CRM<>"          "$SESSION_TIME_CRM"           "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>FILESERVER_BASE_URL_NEXT<>"  "$FILESERVER_BASE_URL_NEXT"   "prodEnvironment.json"

cp $MCSV_PRODUCT_PATH/frontend/src/config/prodEnvironment.json $MCSV_PRODUCT_PATH/frontend/src/config/devEnvironment.json
